EDIT - feature request #7965

Registration search simplify type select options
12/20/2018 04:11 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.7

Severity: normal

Description

The type select in the search filters should not distinguish name type and specimen types. E.g. the option "Lectotype" should
therefore refer to both.

The prefixed "NT" and "ST" are to be removed

Related issues:

Related to EDIT - feature request #7966: Registration search simplify type se... Closed
Related to EDIT - bug #8113: Update TypeDesignationStatus labels Closed
Related to EDIT - feature request #7610: Type search in PhycoBank Portal Duplicate

Associated revisions

Revision 72312cbc - 04/29/2019 04:03 PM - Andreas Kohlbecker

ref #7965 methods to get typeDesignationStatusinUse as term an as filter object

Revision 4656c3e2 - 04/29/2019 04:04 PM - Andreas Kohlbecker
fix #7965 using the TypeDesignationStatusFilter elements to simplify the type filter select

Revision 5fd9990b - 05/17/2019 04:02 PM - Andreas Kohlbecker

fixing NPE in TypeDesignationStatusFilter processing when '- none -' is selected

History

#1 - 12/20/2018 04:11 PM - Andreas Kohlbecker

- Related to feature request #7966: Registration search simplify type select options added

#2 - 02/20/2019 12:17 PM - Andreas Miuller

- Description updated

#3 - 02/20/2019 12:19 PM - Andreas Miiller
- Related to bug #8113: Update TypeDesignationStatus labels added

#4 - 04/11/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#5 - 04/29/2019 04:04 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|4656c3e23541b17¢233d565d4{f02c0053b335f2.

#6 - 04/29/2019 04:05 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review once the test server is updated
#7 - 05/17/2019 03:07 PM - Andreas Kohlbecker
- Related to feature request #7610: Type search in PhycoBank Portal added

#8 - 05/17/2019 03:34 PM - Andreas Kohlbecker

Hallo Andreas,

bin in Test List Type Status,
wenn ich dort -none- auswahle, bekomme ich :

java.lang.NullPointerException
at eu.etaxonomy.cdm.api.service.dto.TypeDesignationStatusFilter.toTypeDesignationStatus (TypeDesignatio
nStatusFilter. java:103)
at eu.etaxonomy.cdm.vaadin.view.registration.ListPresenter.pageRegistrations (ListPresenter. java:180)
at eu.etaxonomy.cdm.vaadin.view.registration.ListPresenter.onUpdateResultsEvent (ListPresenter. java:228

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)
#9 - 05/17/2019 03:40 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 60

no further problems:
merge of entries without accidents:

Lectotype = merge of lectotype (name) of genus
and
Lectotype = of species and below (specimens or images)

original designation (name) for genus
holotype = of species and below (specimens or images)

If NPE is solved the ticket can be closed.

#10 - 05/17/2019 04:05 PM - Andreas Kohlbecker
NPE fixed by commit:cdm-vaadin|5fd9990b

So | will close this ticket now.

#7966 will be implemented in accordingly - OK?

#11 - 05/17/2019 04:07 PM - Wolf-Henning Kusber
okay

#12 - 05/17/2019 04:11 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 60 to 100
